### GET /balance Source: https://apidocs.picsart.io/picsart-variable-data-tools-api.yaml Check your balance of credits. ```markdown ### Responses #### 200 - response - **credits** (integer) #### 400 - response **Error** - **message** (string) - **detail** (string) (required) #### 401 - response **401_Error** - **code** (integer) (example: 401) - **message** (string) (example: "Unauthorized") - **detail** (string) (required) #### 402 - response **Error** - **message** (string) - **detail** (string) (required) #### 403 - response **Error** - **message** (string) - **detail** (string) (required) #### 404 - response **Error** - **message** (string) - **detail** (string) (required) #### 405 - response **Error** - **message** (string) - **detail** (string) (required) #### 413 - response **Error** - **message** (string) - **detail** (string) (required) #### 415 - response **Error** - **message** (string) - **detail** (string) (required) #### 422 - response **Error** - **message** (string) - **detail** (string) (required) #### 429 - response **Error** - **message** (string) - **detail** (string) (required) #### 431 - response **Error** - **message** (string) - **detail** (string) (required) #### 500 - response **Error** - **message** (string) - **detail** (string) (required) #### 503 - response **Error** - **message** (string) - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://vd-api.picsart.io/v1/balance" ``` ``` -------------------------------- ### GET /export/replay/{transaction_id} Source: https://apidocs.picsart.io/picsart-variable-data-tools-api.yaml Use this method, along with transaction_id, to retrieve the export replay's finished result (e.g. PDF). ```markdown ### Parameters - **transaction_id** (string, path, required): The ID returned from the POST method. ### Responses #### 200 - response - **data** (object) - **id** (string) - **url** (string) - **status** (string) #### 202 - response - **transaction_id** (string) - **status** (string) #### 400 - response **Error** - **message** (string) - **detail** (string) (required) #### 401 - response **401_Error** - **code** (integer) (example: 401) - **message** (string) (example: "Unauthorized") - **detail** (string) (required) #### 402 - response **Error** - **message** (string) - **detail** (string) (required) #### 403 - response **Error** - **message** (string) - **detail** (string) (required) #### 404 - response **Error** - **message** (string) - **detail** (string) (required) #### 405 - response **Error** - **message** (string) - **detail** (string) (required) #### 413 - response **Error** - **message** (string) - **detail** (string) (required) #### 415 - response **Error** - **message** (string) - **detail** (string) (required) #### 422 - response **Error** - **message** (string) - **detail** (string) (required) #### 429 - response **Error** - **message** (string) - **detail** (string) (required) #### 431 - response **Error** - **message** (string) - **detail** (string) (required) #### 500 - response **Error** - **message** (string) - **detail** (string) (required) #### 503 - response **Error** - **message** (string) - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://vd-api.picsart.io/v1/export/replay/{transaction_id}" ``` ``` -------------------------------- ### GET /export/variable-data-content/{transaction_id} Source: https://apidocs.picsart.io/picsart-variable-data-tools-api.yaml Use this method, along with transaction_id, to retrieve the export variable data content's finished results (e.g. list of PDF file URLs). ```markdown ### Parameters - **transaction_id** (string, path, required): The ID returned from the POST method. ### Responses #### 200 - response - **status** (string) - **data** (array (object)) Array items: - **url** (string (uri)) #### 202 - response - **transaction_id** (string) - **status** (string) #### 400 - response **Error** - **message** (string) - **detail** (string) (required) #### 401 - response **401_Error** - **code** (integer) (example: 401) - **message** (string) (example: "Unauthorized") - **detail** (string) (required) #### 402 - response **Error** - **message** (string) - **detail** (string) (required) #### 403 - response **Error** - **message** (string) - **detail** (string) (required) #### 404 - response **Error** - **message** (string) - **detail** (string) (required) #### 405 - response **Error** - **message** (string) - **detail** (string) (required) #### 413 - response **Error** - **message** (string) - **detail** (string) (required) #### 415 - response **Error** - **message** (string) - **detail** (string) (required) #### 422 - response **Error** - **message** (string) - **detail** (string) (required) #### 429 - response **Error** - **message** (string) - **detail** (string) (required) #### 431 - response **Error** - **message** (string) - **detail** (string) (required) #### 500 - response **Error** - **message** (string) - **detail** (string) (required) #### 503 - response **Error** - **message** (string) - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://vd-api.picsart.io/v1/export/variable-data-content/{transaction_id}" ``` ``` -------------------------------- ### POST /export/replay Source: https://apidocs.picsart.io/picsart-variable-data-tools-api.yaml Export your Replays with async API in background to optimize for performance and improve your user experience. Now you can export Print-Ready PDF only, but later more formats will be added to the support list. Feel free to reach out to our support team if you need updates to this API. ```markdown ### Request Body **Content-Type:** multipart/form-data - **file** (string (binary)): Source file (binary). (If this parameter is present, the other source parameters must be empty.) - **file_url** (string (uri)): Source file URL. (If this parameter is present, the other source parameters must be empty.) - **format** (string (PDF)): Optionally select one of the export formats. Options are as follows: * PDF (Print-Ready PDF file) ("PDF") ### Responses #### 202 - response - **transaction_id** (string) - **status** (string) #### 400 - response **Error** - **message** (string) - **detail** (string) (required) #### 401 - response **401_Error** - **code** (integer) (example: 401) - **message** (string) (example: "Unauthorized") - **detail** (string) (required) #### 402 - response **Error** - **message** (string) - **detail** (string) (required) #### 403 - response **Error** - **message** (string) - **detail** (string) (required) #### 404 - response **Error** - **message** (string) - **detail** (string) (required) #### 405 - response **Error** - **message** (string) - **detail** (string) (required) #### 413 - response **Error** - **message** (string) - **detail** (string) (required) #### 415 - response **Error** - **message** (string) - **detail** (string) (required) #### 422 - response **Error** - **message** (string) - **detail** (string) (required) #### 429 - response **Error** - **message** (string) - **detail** (string) (required) #### 431 - response **Error** - **message** (string) - **detail** (string) (required) #### 500 - response **Error** - **message** (string) - **detail** (string) (required) #### 503 - response **Error** - **message** (string) - **detail** (string) (required) ### Example Usage ```bash curl -X POST "https://vd-api.picsart.io/v1/export/replay" \ -H "Content-Type: application/json" \ -d '{ "file": "string", "file_url": "string", "format": "PDF" }' ``` ``` -------------------------------- ### POST /variable-data-content/describe Source: https://apidocs.picsart.io/picsart-variable-data-tools-api.yaml Describes the Replay. Lists all variable data fields and their types: image, text, etc. ```markdown ### Request Body **Content-Type:** multipart/form-data - **template_id** (string): Source template ID from Picsart Inventory. (If this parameter is present, the other template source parameters must be empty.) - **template** (string (binary)): Source replay file (binary). (If this parameter is present, the other template source parameters must be empty.) - **template_url** (string (uri)): Source replay URL. (If this parameter is present, the other template source parameters must be empty.) ### Responses #### 200 - response - **data** (object) - **tags** (array (object)) Array items: - **type** (string (image|text)) ("image"|"text") - **tag** (string) - **animated** (boolean) - **status** (string) #### 400 - response **Error** - **message** (string) - **detail** (string) (required) #### 401 - response **401_Error** - **code** (integer) (example: 401) - **message** (string) (example: "Unauthorized") - **detail** (string) (required) #### 402 - response **Error** - **message** (string) - **detail** (string) (required) #### 403 - response **Error** - **message** (string) - **detail** (string) (required) #### 404 - response **Error** - **message** (string) - **detail** (string) (required) #### 405 - response **Error** - **message** (string) - **detail** (string) (required) #### 413 - response **Error** - **message** (string) - **detail** (string) (required) #### 415 - response **Error** - **message** (string) - **detail** (string) (required) #### 422 - response **Error** - **message** (string) - **detail** (string) (required) #### 429 - response **Error** - **message** (string) - **detail** (string) (required) #### 431 - response **Error** - **message** (string) - **detail** (string) (required) #### 500 - response **Error** - **message** (string) - **detail** (string) (required) #### 503 - response **Error** - **message** (string) - **detail** (string) (required) ### Example Usage ```bash curl -X POST "https://vd-api.picsart.io/v1/variable-data-content/describe" \ -H "Content-Type: application/json" \ -d '{ "template_id": "string", "template": "string", "template_url": "string" }' ``` ``` -------------------------------- ### POST /export/variable-data-content Source: https://apidocs.picsart.io/picsart-variable-data-tools-api.yaml Export your Replays with async API in background to optimize for performance and improve your user experience. Customize the output with your data. Here you can provide a CSV file with up to 50 rows and map your data to the variables in the Replay file. For each row in the data file, this service will export a file of the requested type. ```markdown ### Request Body **Content-Type:** multipart/form-data - **template_id** (string): Source template ID from Picsart Inventory. (If this parameter is present, the other template source parameters must be empty.) - **template** (string (binary)): Source replay file (binary). (If this parameter is present, the other template source parameters must be empty.) - **template_url** (string (uri)): Source replay URL. (If this parameter is present, the other template source parameters must be empty.) - **data** (string): Source data file as a string. Comma separated values only. The first line should always be the header line, with column names. Only the first 50 data rows will be processed. (If this parameter is present, the other data file source parameters must be empty.) - **data_file** (string (binary)): Source data (CSV) file (binary, attachment). The first line should always be the header line, with column names. Only the first 50 data rows will be processed. (If this parameter is present, the other data file source parameters must be empty.) - **data_file_url** (string (uri)): Source data (CSV) file URL. The first line should always be the header line, with column names. Only the first 50 data rows will be processed. (If this parameter is present, the other data file source parameters must be empty.) - **mapping** (string): Comma separated mapping of fields. - **format** (string (PDF|PNG|JPG|MP4|REPLAY)): Optionally select one of the export formats. Options are as follows: * PDF * PNG * JPG * MP4 * REPLAY ("PDF"|"PNG"|"JPG"|"MP4"|"REPLAY") ### Responses #### 202 - response - **transaction_id** (string) - **status** (string) #### 400 - response **Error** - **message** (string) - **detail** (string) (required) #### 401 - response **401_Error** - **code** (integer) (example: 401) - **message** (string) (example: "Unauthorized") - **detail** (string) (required) #### 402 - response **Error** - **message** (string) - **detail** (string) (required) #### 403 - response **Error** - **message** (string) - **detail** (string) (required) #### 404 - response **Error** - **message** (string) - **detail** (string) (required) #### 405 - response **Error** - **message** (string) - **detail** (string) (required) #### 413 - response **Error** - **message** (string) - **detail** (string) (required) #### 415 - response **Error** - **message** (string) - **detail** (string) (required) #### 422 - response **Error** - **message** (string) - **detail** (string) (required) #### 429 - response **Error** - **message** (string) - **detail** (string) (required) #### 431 - response **Error** - **message** (string) - **detail** (string) (required) #### 500 - response **Error** - **message** (string) - **detail** (string) (required) #### 503 - response **Error** - **message** (string) - **detail** (string) (required) ### Example Usage ```bash curl -X POST "https://vd-api.picsart.io/v1/export/variable-data-content" \ -H "Content-Type: application/json" \ -d '{ "template_id": "string", "template": "string", "template_url": "string", "data": "string", "data_file": "string", "data_file_url": "string", "mapping": "string", "format": "PDF" }' ``` ``` -------------------------------- ### API Overview: Picsart Variable Data Content APIs Source: https://apidocs.picsart.io/picsart-variable-data-tools-api.yaml [Official technical documentation portal](https://docs.picsart.io/) [Developer Guidelines](https://picsart.io/terms) ```yaml # Picsart Variable Data Content APIs # Version: 2.0 [Official technical documentation portal](https://docs.picsart.io/) [Developer Guidelines](https://picsart.io/terms) # Base URL: https://vd-api.picsart.io/v1 ``` -------------------------------- ### Security: X-Picsart-API-Key Source: https://apidocs.picsart.io/picsart-variable-data-tools-api.yaml Security scheme: apiKey ```markdown ## Security: X-Picsart-API-Key **Description:** Security scheme: apiKey **Type:** apiKey ``` -------------------------------- ### Schema: FileParameters Source: https://apidocs.picsart.io/picsart-variable-data-tools-api.yaml Schema definition for FileParameters ```markdown ## Schema: FileParameters Schema definition for FileParameters **Type:** object - **file** (string (binary)): Source file (binary). (If this parameter is present, the other source parameters must be empty.) - **file_url** (string (uri)): Source file URL. (If this parameter is present, the other source parameters must be empty.) ``` -------------------------------- ### Schema: DataFileParameters Source: https://apidocs.picsart.io/picsart-variable-data-tools-api.yaml Schema definition for DataFileParameters ```markdown ## Schema: DataFileParameters Schema definition for DataFileParameters **Type:** object - **data** (string): Source data file as a string. Comma separated values only. The first line should always be the header line, with column names. Only the first 50 data rows will be processed. (If this parameter is present, the other data file source parameters must be empty.) - **data_file** (string (binary)): Source data (CSV) file (binary, attachment). The first line should always be the header line, with column names. Only the first 50 data rows will be processed. (If this parameter is present, the other data file source parameters must be empty.) - **data_file_url** (string (uri)): Source data (CSV) file URL. The first line should always be the header line, with column names. Only the first 50 data rows will be processed. (If this parameter is present, the other data file source parameters must be empty.) ``` -------------------------------- ### Schema: ExportReplayParameters Source: https://apidocs.picsart.io/picsart-variable-data-tools-api.yaml Schema definition for ExportReplayParameters ```markdown ## Schema: ExportReplayParameters Schema definition for ExportReplayParameters **Type:** object - **format** (string (PDF)): Optionally select one of the export formats. Options are as follows: * PDF (Print-Ready PDF file) ("PDF") ``` -------------------------------- ### Schema: TemplateParameters Source: https://apidocs.picsart.io/picsart-variable-data-tools-api.yaml Schema definition for TemplateParameters ```markdown ## Schema: TemplateParameters Schema definition for TemplateParameters **Type:** object - **template_id** (string): Source template ID from Picsart Inventory. (If this parameter is present, the other template source parameters must be empty.) - **template** (string (binary)): Source replay file (binary). (If this parameter is present, the other template source parameters must be empty.) - **template_url** (string (uri)): Source replay URL. (If this parameter is present, the other template source parameters must be empty.) ``` -------------------------------- ### Schema: 401_Error Source: https://apidocs.picsart.io/picsart-variable-data-tools-api.yaml Schema definition for 401_Error ```markdown ## Schema: 401_Error Schema definition for 401_Error **Type:** object - **code** (integer) (example: 401) - **message** (string) (example: "Unauthorized") - **detail** (string) (required) ``` -------------------------------- ### Schema: UploadParameters Source: https://apidocs.picsart.io/picsart-variable-data-tools-api.yaml Schema definition for UploadParameters ```markdown ## Schema: UploadParameters Schema definition for UploadParameters **Type:** object - **image** (string (binary)): Source image file (binary). (If this parameter is present, the other image source parameters must be empty.) - **image_url** (string (uri)): Source image URL. (If this parameter is present, the other image source parameters must be empty.) ``` -------------------------------- ### Schema: ImageParameters Source: https://apidocs.picsart.io/picsart-variable-data-tools-api.yaml Schema definition for ImageParameters ```markdown ## Schema: ImageParameters Schema definition for ImageParameters **Type:** object - **image** (string (binary)): Source image file (binary). (If this parameter is present, the other image source parameters must be empty.) - **image_url** (string (uri)): Source image URL. (If this parameter is present, the other image source parameters must be empty.) - **image_id** (string): Source image ID of an image previously uploaded to Picsart or result image ID from a different API. (If this parameter is present, the other image source parameters must be empty.) ``` -------------------------------- ### Schema: Error Source: https://apidocs.picsart.io/picsart-variable-data-tools-api.yaml Schema definition for Error ```markdown ## Schema: Error Schema definition for Error **Type:** object - **message** (string) - **detail** (string) (required) ``` -------------------------------- ### Schema: ExportVariableDataContentParameters Source: https://apidocs.picsart.io/picsart-variable-data-tools-api.yaml Schema definition for ExportVariableDataContentParameters ```markdown ## Schema: ExportVariableDataContentParameters Schema definition for ExportVariableDataContentParameters **Type:** object - **mapping** (string): Comma separated mapping of fields. - **format** (string (PDF|PNG|JPG|MP4|REPLAY)): Optionally select one of the export formats. Options are as follows: * PDF * PNG * JPG * MP4 * REPLAY ("PDF"|"PNG"|"JPG"|"MP4"|"REPLAY") ``` === COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.